/******************************************************************************
 *
 * Filename: loader.h
 *
 * Author:   Robert Thornburrow
 * Project:  JavaVM
 * Created:  19th January 1998
 *
 * Purpose:  Loader interface.
 *
 * (c) Copyright R.H.Thornburrow, 1998-2003
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 *
 *****************************************************************************/

#ifndef _loader_h

#define _loader_h


#ifdef __cplusplus
extern "C" {
#endif


#include "classfile.h"


extern struct _Hashtable* loadedTable;

extern ClassFile* checkLoaded( const char* classname );


extern void readU1( void* d, FILE* f );
extern u4 readN( void* d, FILE* f, u4 count );


extern ClassFile* readClassFileInternal(
	FILE* f, const char* filename,
	const char* classname, struct _Stack* stp );

extern ClassFile* readClassFile(
    const char* filename, const char* classname,
	struct _Stack* stp, int* found );


#ifdef __cplusplus
}
#endif


#endif
