/******************************************************************************
 *
 * Filename: memory.h
 *
 * Author:   Robert Thornburrow
 * Project:  JavaVM
 * Created:  19th January 1998
 *
 * Purpose:  Memory management utilities.
 *
 * (c) Copyright R.H.Thornburrow, 1998-2003
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 *
 *****************************************************************************/

#ifndef _memory_h

#define _memory_h

/* For size_t */
#include <stdlib.h>

#ifdef __cplusplus
extern "C" {
#endif


void* javavm_malloc( size_t size );
void* javavm_realloc(  void* ptr, size_t newsize, size_t oldsize );
void javavm_free( void* ptr, size_t size );

void freeObjectPool();
void freeArrayPool();
void freeMemoryBlockPool();
void freeClassFiles();


#ifdef __cplusplus
}
#endif

#endif /* _memory_h */
