/******************************************************************************
 *
 * Filename: java_io_ObjectOutputStream.c
 *
 * Author:   Robert Thornburrow
 * Project:  JavaVM
 * Created:  29th March 2002
 *
 * Purpose:  Native method implementations for java.io.ObjectOutputStream.
 *
 * (c) Copyright R.H.Thornburrow, 2002
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 *
 *****************************************************************************/

#include <stdio.h>

#include "../engine/config.h"
#include "../engine/engine.h"

#include "java_io_ObjectOutputStream.h"


/*   private static native int getRefHashCode( java.lang.Object ); */
jint Java_java_io_ObjectOutputStream_getRefHashCode( JNIEnv* env, jclass staticself, jobject obj )
{
	return (jint) obj;
}


/* Write the fields of the specified class.
 * The native implemention sorts the field names to put them
 * in cononical order, ignores transient and static fields
 * and invokes the appropriate write* method on this class.
 *
 * private native void outputClassFields(Object o, Class cl, int[] fieldSequence)
 *     throws IOException, InvalidClassException;
 */
void Java_java_io_ObjectOutputStream_outputClassFields(
	JNIEnv* env, jobject self, jobject o, jclass cl, jobject fieldSequence )
{
	/* ClassFile pointer is last field of cl */
	printf( "WARNING: ObjectOutputStream.outputClassFields( \"%s\", \"%s\" ) dummied.\n",
		o->cf->name, ((ClassFile*) cl->data[cl->cf->object_size])->name );
}
