/******************************************************************************
 *
 * Filename: java_security_AccessController.h
 *
 * Author:   Robert Thornburrow
 * Project:  JavaVM
 * Created:  12th April 2003
 *
 * Purpose:  Native method implementations for java.security.AccessController.
 *
 * (c) Copyright R.H.Thornburrow, 2003
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 *
 *****************************************************************************/

#ifndef _java_security_AccessController_h

#define _java_security_AccessController_h


#include "../engine/jni.h"


#ifdef __cplusplus
extern "C" {
#endif


#if JDK_VERSION >= 140
extern jobject Java_java_security_AccessController_doPrivileged__Ljava_security_PrivilegedAction_2(
	JNIEnv* env, jclass staticself, jobject action );
extern jobject Java_java_security_AccessController_doPrivileged__Ljava_security_PrivilegedAction_2Ljava_security_AccessControlContext_2(
	JNIEnv *env, jclass staticself, jobject action, jobject context );
extern jobject Java_java_security_AccessController_doPrivileged__Ljava_security_PrivilegedExceptionAction_2(
	JNIEnv* env, jclass staticself, jobject action );
extern jobject Java_java_security_AccessController_doPrivileged__Ljava_security_PrivilegedExceptionAction_2Ljava_security_AccessControlContext_2(
	JNIEnv *env, jclass staticself, jobject action, jobject context );
extern jobject Java_java_security_AccessController_getStackAccessControlContext( JNIEnv* env, jclass staticself );
#endif /* JDK_VERSION 1.4.0 */


#ifdef __cplusplus
}
#endif

#endif /* _java_security_AccessController_h */
