/******************************************************************************
 *
 * Filename: sun_misc_Unsafe.h
 *
 * Author:   Robert Thornburrow
 * Project:  JavaVM
 * Created:  3rd May 2003
 *
 * Purpose:  Native method implementations for sun.misc.Unsafe.
 *
 * (c) Copyright R.H.Thornburrow, 2003
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 *
 *****************************************************************************/


#ifndef _sun_misc_Unsafe_h

#define _sun_misc_Unsafe_h


#include "../engine/jni.h"


#ifdef __cplusplus
extern "C" {
#endif


#if JDK_VERSION >= 140
extern jlong   Java_sun_misc_Unsafe_allocateMemory( JNIEnv* env, jobject self, jlong size );
extern void    Java_sun_misc_Unsafe_ensureClassInitialized( JNIEnv* env, jobject self, jclass clazz );
extern jint    Java_sun_misc_Unsafe_fieldOffset( JNIEnv* env, jobject self, jobject field );
extern void    Java_sun_misc_Unsafe_freeMemory( JNIEnv* env, jobject self, jlong addr );
extern jbyte   Java_sun_misc_Unsafe_getByte( JNIEnv* env, jobject self, jlong addr );
extern void    Java_sun_misc_Unsafe_putLong( JNIEnv* env, jobject self, jlong addr, jlong value );
extern jobject Java_sun_misc_Unsafe_getObject( JNIEnv* env, jobject self, jobject anObject, jint anInt );
extern void    Java_sun_misc_Unsafe_registerNatives( JNIEnv* env, jclass staticself );
extern jobject Java_sun_misc_Unsafe_staticFieldBase( JNIEnv* env, jobject self, jclass clazz );
#endif /* JDK 1.4 */


#ifdef __cplusplus
}
#endif

#endif /* _sun_misc_Unsafe_h */
